Subject: Re: Partial clone fails with file:/// URI

From: Taylor Blau <[email-masked]>
Date: Wed, 14 Oct 2020 12:56:07 -0400

Hi Nipunn,

On Wed, Oct 14, 2020 at 05:38:15PM +0100, Nipunn Koorapati wrote:
> Hi friends,
>
> When I run a git clone with --filter and a file:/// URI - it fails.
>
> Repro steps:
>
> I have the `git` repo cloned and built into the CWD at v2.28.0
> git/git clone --filter=blob:none file:///home/nipunn/src/git git2

I couldn't quite reproduce this. Here's my reproduction:

  #!/bin/sh

  rm -fr repo clone
  git init repo

  (
    cd repo

    git config uploadpack.allowfilter true
    git config uploadpack.allowanysha1inwant true

    for f in a b; do
      echo $f > $f
      git add $f
      git commit -m "$f: initial commit"
    done
  )

  git clone --filter=blob:none file://$(pwd)/repo clone

That works on v2.28.0, and v2.29.0 for me. Is git installed properly on
your system?

Thanks,
Taylor